﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TapfloDB.View.TDB
{
    public static class Extensions
    {
        public static bool IsSN(this string sn, ref int o){
            return sn.Length == 9 && sn.IndexOf('-') == 4 && Int32.TryParse(sn.Remove(4, 1), out o);
        }

        public static string ToSN(this int sn){
            string str = sn.ToString("D8");
            return String.Format("{0}-{1}", str.Substring(0, 4), str.Substring(4));
        }

        public static string ToOrder(this int order){
            return order.ToString("D7");
        }
    }
}
