﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TapfloDB.View.TDB
{
    public partial class MultipleLabelBox : Form
    {
        public MultipleLabelBox(string[] labels){
            InitializeComponent();
            picon.Image = System.Drawing.SystemIcons.Question.ToBitmap();
            
            tlabels.Text = String.Join("\n", labels);
            int h = labels.Length * 25;
            if (labels.Length > 2){
                Height = Math.Min(150 + h, 600);
            }
        }

        private void MultipleLabelBox_Shown(object sender, EventArgs e){
            bprocede.Focus();
        }
    }
}
